Debian Bug report logs - #513451
qemu-img: add stdin/stdout support

version graph

Package: qemu; Maintainer for qemu is Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>; Source for qemu is src:qemu.

Reported by: supaplex <debian@foss.daxal.com>

Date: Thu, 29 Jan 2009 07:30:05 UTC

Severity: wishlist

Tags: wontfix

Found in version qemu/0.8.2-4etch1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#513451; Package qemu. (Thu, 29 Jan 2009 07:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to supaplex <debian@foss.daxal.com>:
New Bug report received and forwarded. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Thu, 29 Jan 2009 07:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: supaplex <debian@foss.daxal.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qemu-img: add stdin/stdout support
Date: Wed, 28 Jan 2009 18:19:54 -0700
Package: qemu
Version: 0.8.2-4etch1
Severity: wishlist

There are situations where spare diskspace is low, or remote copies
could be redirected through ssh etc.

qemu-img only supports real files to take care of this.  Recently I had
a vmware player image I was converting, but was hoping for simple
stdin/stdout support to utilize unzip -p ... | qemu-img to convert it.

Cheers,


Scott Edwards
-- Daxal Communications - http://daxal.com/?from=debian+bts

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-xen-vserver-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages qemu depends on:
ii  bochsbios              2.3-2etch1        BIOS for the Bochs emulator
ii  libasound2             1.0.13-2          ALSA library
ii  libc6                  2.3.6.ds1-13etch5 GNU C Library: Shared libraries
ii  libncurses5            5.5-5             Shared libraries for terminal hand
ii  libsdl1.2debian        1.2.11-8          Simple DirectMedia Layer
ii  openhackware           0.4.1-2           OpenFirmware emulator for PowerPC
ii  proll                  18-2              JavaStation PROM 2.x compatible re
ii  vgabios                0.6a-1            VGA BIOS software for the Bochs an
ii  zlib1g                 1:1.2.3-13        compression library - runtime

Versions of packages qemu recommends:
ii  debootstrap                 0.3.3.2etch1 Bootstrap a basic Debian system
ii  sharutils                   1:4.2.1-15   shar, unshar, uuencode, uudecode
pn  vde                         <none>       (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#513451; Package qemu. (Tue, 10 Feb 2009 15:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Tue, 10 Feb 2009 15:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 513451@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: supaplex <debian@foss.daxal.com>, 513451@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#513451: qemu-img: add stdin/stdout support
Date: Tue, 10 Feb 2009 16:51:54 +0100
tag 513451 + wontfix
thanks

supaplex a écrit :
> Package: qemu
> Version: 0.8.2-4etch1
> Severity: wishlist
> 
> There are situations where spare diskspace is low, or remote copies
> could be redirected through ssh etc.
> 
> qemu-img only supports real files to take care of this.  Recently I had
> a vmware player image I was converting, but was hoping for simple
> stdin/stdout support to utilize unzip -p ... | qemu-img to convert it.
> 

This is technically not possible. Given the formats involved, the file
is not read/written linearly, which render the use of stdin/stdout
impossible. Tagging the bug as wontfix.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Tags added: wontfix Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Tue, 10 Feb 2009 15:57:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:37:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.